Loading...
Searching...
No Matches
OpenToNanoVDB< OpenBuildT, NanoBuildT, OracleT, BufferT >::BlindMetaData Struct Reference

`#include <nanovdb/util/OpenToNanoVDB.h>`

## Public Member Functions

| BlindMetaData (const std::string &n, const std::string &t, size_t i, size_t c, size_t s)
bool | operator< (const BlindMetaData &other) const

## Public Attributes

const std::string | name
const std::string | typeName
const size_t | index
const size_t | count
const size_t | size

## Constructor & Destructor Documentation

## BlindMetaData()

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

BlindMetaData | ( | const std::string & | n,
|  | const std::string & | t,
|  | size_t | i,
|  | size_t | c,
|  | size_t | s )

inline

## Member Function Documentation

## operator<()

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

bool operator< | ( | const BlindMetaData & | other | ) | const

inline

## Member Data Documentation

## count

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

const size_t count

## index

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

const size_t index

## name

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

const std::string name

## size

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

const size_t size

## typeName

template<typename OpenBuildT, typename NanoBuildT, typename OracleT = AbsDiff, typename BufferT = HostBuffer>

const std::string typeName